Bug 572378 - xine: The stream 'there is no MRL' uses an unsupported codec.
xine: The stream 'there is no MRL' uses an unsupported codec.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xine-ui (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Janssen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F13Target
  Show dependency treegraph
 
Reported: 2010-03-10 20:51 EST by Rex Dieter
Modified: 2010-12-03 12:34 EST (History)
3 users (show)

See Also:
Fixed In Version: xine-ui-0.99.6-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:34:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2010-03-10 20:51:00 EST
$ rpm -q xine-ui xine-lib
xine-ui-0.99.6-0.1.20091217hg.fc12.x86_64
xine-lib-1.1.16.3-5.fc12.x86_64

Upon startup, receive numerous errors:

The stream 'there is no MRL' uses an unsupported codec.
Video Codec: MPEG 1/2 (0x0)
(null)
Start playback anyway?


Seems due to the default splash/startup file:
/usr/share/xine/visuals/default.avi

which seems to need nonfree codecs (ie, error goes away if xine-lib-extras-freeworld from rpmfusion is installed).


adamwill saw this too on F-13, see
https://admin.fedoraproject.org/updates/xine-lib-1.1.18.1-1.fc13
Comment 1 Susi Lehtola 2010-03-11 16:27:15 EST
That explains why I haven't seen this myself in a long time.

I'm quite busy with other stuff, and don't really have time to look into this. Patches / comaintainers are welcome.
Comment 2 Fedora Admin XMLRPC Client 2010-03-21 17:52:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Kevin Kofler 2010-04-16 16:52:29 EDT
Run ffmpeg2theora on it, add it to the package as a Source1 and patch the source code to check the .ogv instead of the .avi.
Comment 4 Thomas Janssen 2010-04-18 11:52:16 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=2123666

Please try that scratch build.
Comment 5 Thomas Janssen 2010-04-18 16:24:31 EDT
Whoops, sorry, wrong/old scratch build, try that one:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2123894
Comment 6 Fedora Update System 2010-05-02 09:34:50 EDT
xine-ui-0.99.6-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xine-ui-0.99.6-4.fc13
Comment 7 Fedora Update System 2010-05-02 09:34:59 EDT
xine-ui-0.99.6-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xine-ui-0.99.6-3.fc12
Comment 8 Fedora Update System 2010-05-04 02:10:23 EDT
xine-ui-0.99.6-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xine-ui'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xine-ui-0.99.6-3.fc12
Comment 9 Fedora Update System 2010-05-04 02:11:16 EDT
xine-ui-0.99.6-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xine-ui'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xine-ui-0.99.6-4.fc13
Comment 10 Fedora Update System 2010-05-24 15:32:50 EDT
xine-ui-0.99.6-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-05-24 15:47:28 EDT
xine-ui-0.99.6-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Thomas Janssen 2010-05-24 17:28:05 EDT
Re-open it, since it's not fixed.
Comment 13 lyann 2010-08-02 21:39:49 EDT
I confirmed it's not fixed to me in 32 or 64 bits in two different computer to me even if i install all the ffmpeg and gstreamer rpms.

It's the same things despite two complete reinstallation.
Comment 14 Bug Zapper 2010-11-03 16:09:33 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-12-03 12:34:38 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.